Bug 1296884 - Review Request: perl-Test-Regexp - Test your regular expressions
Review Request: perl-Test-Regexp - Test your regular expressions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 05:52 EST by Paul Howarth
Modified: 2016-01-23 20:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 12:51:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2016-01-08 05:52:59 EST
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-Regexp/branches/fedora/perl-Test-Regexp.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-Regexp/perl-Test-Regexp-2015110201-2.fc24.src.rpm

Description:
This module is intended to test your regular expressions. Given a subject
string and a regular expression (a.k.a. pattern), the module not only tests
whether the regular expression completely matches the subject string, it
performs a utf8::upgrade or utf8::downgrade on the subject string and
performs the tests again, if necessary. Furthermore, given a pattern with
capturing parenthesis, it checks whether all captures are present, and in the
right order. Both named and unnamed captures are checked.

Fedora Account System Username: pghmcfc
Comment 1 Jitka Plesnikova 2016-01-08 08:41:06 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Test-Regexp-2015110201-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.10.0
      1 perl(Exporter)
      1 perl(Hash::Util::FieldHash)
      1 perl(Test::Builder)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Test-Regexp-2015110201-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.10.0
      1 perl(Exporter)
      1 perl(Hash::Util::FieldHash)
      1 perl(Test::Builder)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary provides are Ok.

$ rpmlint ./perl-Test-Regexp*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved
Comment 2 Gwyn Ciesla 2016-01-08 10:23:33 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Test-Regexp
Comment 3 Fedora Update System 2016-01-08 11:30:38 EST
perl-Test-Regexp-2015110201-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f71f1856
Comment 4 Fedora Update System 2016-01-08 11:30:44 EST
perl-Test-Regexp-2015110201-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-79d5cb0aa3
Comment 5 Fedora Update System 2016-01-08 11:30:44 EST
perl-Test-Regexp-2015110201-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1a86026b76
Comment 6 Fedora Update System 2016-01-08 16:19:00 EST
perl-Test-Regexp-2015110201-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-79d5cb0aa3
Comment 7 Fedora Update System 2016-01-08 16:23:26 EST
perl-Test-Regexp-2015110201-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1a86026b76
Comment 8 Fedora Update System 2016-01-08 23:24:32 EST
perl-Test-Regexp-2015110201-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f71f1856
Comment 9 Fedora Update System 2016-01-08 23:26:22 EST
perl-Test-Regexp-2015110201-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6a913f86e
Comment 10 Fedora Update System 2016-01-17 12:51:56 EST
perl-Test-Regexp-2015110201-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-17 13:51:06 EST
perl-Test-Regexp-2015110201-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-01-23 20:05:42 EST
perl-Test-Regexp-2015110201-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-01-23 20:59:27 EST
perl-Test-Regexp-2015110201-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.